#ifndef __circleFit_h
#define __circleFit_h

#include "matrix.h"

/*************************************************************/
/*************************************************************/
/*************************************************************/
struct TCircleBoundaries{
    int *x, *y;
    int N, r;
};
typedef struct TCircleBoundaries CIRCLE_BND;
CIRCLE_BND *createCircularBoundaries(int maxRadius);
void freeCircularBoundaries(CIRCLE_BND *B, int maxRadius);
/*************************************************************/
/*************************************************************/
/*************************************************************/
int findMaxPossibleCircleRadius(MATRIX map, int label, MATRIX *res);
void findExactCircleRadius(MATRIX *res, CIRCLE_BND *cbnd, int maxR);
void locateOneCircle(MATRIX *radii, CIRCLE_BND *cbnd, int x, int y, int R);
MATRIX locateCircles(MATRIX map, int compLabel, int minRadius, int maxRadius);

#endif


